import { Box } from '../classes/display/box.js';
import { Scene } from '../classes/display/scene.js';
import { WDGDiagram } from '../classes/display/wdg-mermaid-ui.js';

const rootElement = document.getElementById('scene');
const rootBox = new Box('rootBox', rootElement).flex();
window.disableSceneControls = true;
window.scene = new Scene('WDG Editor', rootBox);
window.graph = new WDGDiagram('new', window.scene, { editable: true }).withFlowchart();
